summaryrefslogtreecommitdiffstats
path: root/academic/TreeGraph
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2018-06-19 23:35:56 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-23 08:44:00 +0700
commit552e8af4324cff571dd6ef7b2bc60d3e85082d23 (patch)
tree8a9bec714bd6c5d56c64eb18b398db6b0fba8a39 /academic/TreeGraph
parent548fd1f483f6a72fcabbad54442bf323154869d3 (diff)
downloadslackbuilds-552e8af4324cff571dd6ef7b2bc60d3e85082d23.tar.gz
slackbuilds-552e8af4324cff571dd6ef7b2bc60d3e85082d23.tar.xz
academic/TreeGraph: Added (A feature rich phylogenetic tree editor).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic/TreeGraph')
-rw-r--r--academic/TreeGraph/README41
-rw-r--r--academic/TreeGraph/TreeGraph4
-rw-r--r--academic/TreeGraph/TreeGraph.SlackBuild80
-rw-r--r--academic/TreeGraph/TreeGraph.desktop8
-rw-r--r--academic/TreeGraph/TreeGraph.info10
-rw-r--r--academic/TreeGraph/TreeGraph.pngbin0 -> 10235 bytes
-rw-r--r--academic/TreeGraph/doinst.sh3
-rw-r--r--academic/TreeGraph/slack-desc19
8 files changed, 165 insertions, 0 deletions
diff --git a/academic/TreeGraph/README b/academic/TreeGraph/README
new file mode 100644
index 0000000000..9377b9be73
--- /dev/null
+++ b/academic/TreeGraph/README
@@ -0,0 +1,41 @@
+TreeGraph (2): A feature rich and easy to use phylogenetic tree editor
+
+TreeGraph (2) is a is graphical editor for phylogenetic trees, which
+allows to apply various of graphical formats and edit operations and
+supports several (visible or invisible) annotations attached to nodes
+or branches. Data can be imported from many tree formats, tables and
+BayesTraits output.
+
+A key feature is the interactive comparison and combination of
+alternative topologies from different analyses.
+
+Key features
+- Read trees in Newick, Nexus format (including annotations in hot
+ comments), NeXML or PhyloXML
+- Import annotations from text files or combine information from
+ different phylogenetic analyses
+- An unlimited number of numerical or textual annotations on every
+ branch
+- Export trees to various vector and (anti-aliased) pixel graphic
+ formats (e.g. PDF, SVG, EMF or PNG)
+- Many global and element specific formats like line width or color
+ and text formats
+- Versatile editing and formatting options, such as automatically
+ setting branch widths or colors according to the value of any
+ attached data
+- Editing operations like rerooting, ladderizing or moving and
+ collapsing nodes or copying or manually creating whole clades
+- Generate commands and import data for ancestral state reconstruction
+
+Citation
+TreeGraph 2 has been published in BMC Bioinformatics:
+Stöver BC, Müller KF: TreeGraph 2: Combining and visualizing evidence
+from different phylogenetic analyses. BMC Bioinformatics 2010, 11:7
+DOI: 10.1186/1471-2105-11-7
+
+
+IMPORTANT NOTE ABOUT THE DOWNLOAD
+
+If you have trouble with the download, please use a browser to visit
+the TreeGraph download page at http://treegraph.bioinfweb.info/Download
+and click the download link.
diff --git a/academic/TreeGraph/TreeGraph b/academic/TreeGraph/TreeGraph
new file mode 100644
index 0000000000..aee6d91990
--- /dev/null
+++ b/academic/TreeGraph/TreeGraph
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/java/TreeGraph
+java -jar TreeGraph.jar &
diff --git a/academic/TreeGraph/TreeGraph.SlackBuild b/academic/TreeGraph/TreeGraph.SlackBuild
new file mode 100644
index 0000000000..a3f304b739
--- /dev/null
+++ b/academic/TreeGraph/TreeGraph.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for TreeGraph
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=TreeGraph
+VERSION=${VERSION:-2.14.0_771_beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ZIPVER=2.14.0-771_beta
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+# Use "bsdtar" instead of "unzip". The latter has some bug which
+# prevented the script from running past the unzipping step. Or maybe
+# I did sth wrong here...
+bsdtar -xf $CWD/${PRGNAM}_${ZIPVER}.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# There are a bunch of LICENSE-* txt files, however leave them there,
+# otherwise the program will fail to start. I tried moving them to
+# $PKG/usr/doc/$PRGNAM-$VERSION and had an error message upon start.
+mkdir -p $PKG/usr/share/java/$PRGNAM/lib/{batik,errorReporter}
+cp -a icons lib $PRGNAM.jar $PKG/usr/share/java/$PRGNAM
+
+# Install our simple wrapper
+install -D -m755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Include our own icon and desktop file
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/TreeGraph/TreeGraph.desktop b/academic/TreeGraph/TreeGraph.desktop
new file mode 100644
index 0000000000..51e4d0a549
--- /dev/null
+++ b/academic/TreeGraph/TreeGraph.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Categories=Education;
+Comment=A feature rich and easy to use phylogenetic tree editor
+Exec=TreeGraph
+Icon=TreeGraph
+Name=TreeGraph 2
+StartupNotify=false
+Type=Application
diff --git a/academic/TreeGraph/TreeGraph.info b/academic/TreeGraph/TreeGraph.info
new file mode 100644
index 0000000000..04673ad615
--- /dev/null
+++ b/academic/TreeGraph/TreeGraph.info
@@ -0,0 +1,10 @@
+PRGNAM="TreeGraph"
+VERSION="2.14.0_771_beta"
+HOMEPAGE="http://treegraph.bioinfweb.info/"
+DOWNLOAD="http://treegraph.bioinfweb.info/Download/Complete/TreeGraph_2.14.0-771_beta.zip"
+MD5SUM="78dbfd08f946bb46622314457a25a78e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/TreeGraph/TreeGraph.png b/academic/TreeGraph/TreeGraph.png
new file mode 100644
index 0000000000..25b57a6add
--- /dev/null
+++ b/academic/TreeGraph/TreeGraph.png
Binary files differ
diff --git a/academic/TreeGraph/doinst.sh b/academic/TreeGraph/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/TreeGraph/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/TreeGraph/slack-desc b/academic/TreeGraph/slack-desc
new file mode 100644
index 0000000000..c4af759a8e
--- /dev/null
+++ b/academic/TreeGraph/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+TreeGraph: TreeGraph (A feature rich phylogenetic tree editor)
+TreeGraph:
+TreeGraph: TreeGraph 2 is a is graphical editor for phylogenetic trees,
+TreeGraph: which allows to apply various of graphical formats and edit
+TreeGraph: operations and supports several annotations attached to nodes
+TreeGraph: or branches. Data can be imported from many tree formats,
+TreeGraph: tables and BayesTraits output. A key feature is the interactive
+TreeGraph: comparison and combination of alternative topologies from
+TreeGraph: different analyses.
+TreeGraph:
+TreeGraph: http://treegraph.bioinfweb.info/